Endpoints

Auth

Copy page

Authentication endpoints for app credentials

Create Anonymous Session

POST
/run/auth/apps/{appId}/anonymous-session

Path Parameters

appId*string

App ID (e.g., app_a1b2c3d4e5f6)

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.pilot.inkeep.com/run/auth/apps/string/anonymous-session"
{
  "expiresAt": "string",
  "token": "string"
}
{
  "code": "bad_request",
  "detail": "Bad Request",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 400,
  "title": "Bad Request",
  "error": {
    "code": "bad_request",
    "message": "Bad Request"
  }
}
{
  "code": "unauthorized",
  "detail": "Unauthorized",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 401,
  "title": "Unauthorized",
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "code": "forbidden",
  "detail": "Forbidden",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 403,
  "title": "Forbidden",
  "error": {
    "code": "forbidden",
    "message": "Forbidden"
  }
}
{
  "code": "not_found",
  "detail": "Not Found",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 404,
  "title": "Not Found",
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}
{
  "code": "unprocessable_entity",
  "detail": "Unprocessable Entity",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 422,
  "title": "Unprocessable Entity",
  "error": {
    "code": "unprocessable_entity",
    "message": "Unprocessable Entity"
  }
}
{
  "code": "internal_server_error",
  "detail": "Internal Server Error",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 500,
  "title": "Internal Server Error",
  "error": {
    "code": "internal_server_error",
    "message": "Internal Server Error"
  }
}

Get Legacy PoW Challenge

GET
/run/auth/pow/challenge

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.pilot.inkeep.com/run/auth/pow/challenge"
null
{
  "code": "not_found",
  "detail": "Legacy PoW is not enabled",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 404,
  "title": "Not Found",
  "error": {
    "code": "not_found",
    "message": "Legacy PoW is not enabled"
  }
}
{
  "code": "too_many_requests",
  "detail": "Challenge service rate limit exceeded",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 429,
  "title": "Too Many Requests",
  "error": {
    "code": "too_many_requests",
    "message": "Challenge service rate limit exceeded"
  }
}
{
  "code": "bad_gateway",
  "detail": "Sentinel upstream error",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 502,
  "title": "Bad Gateway",
  "error": {
    "code": "bad_gateway",
    "message": "Sentinel upstream error"
  }
}

Get Sentinel Challenge

GET
/run/auth/sentinel/challenge

Query Parameters

appId*string
endpointClass?string
Match^[a-z0-9-]+$
Lengthlength <= 32

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.pilot.inkeep.com/run/auth/sentinel/challenge?appId=app_a1b2c3d4e5f6"
null
{
  "code": "forbidden",
  "detail": "Origin not allowed",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 403,
  "title": "Forbidden",
  "error": {
    "code": "forbidden",
    "message": "Origin not allowed"
  }
}
{
  "code": "not_found",
  "detail": "Sentinel is not enabled or app not found",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 404,
  "title": "Not Found",
  "error": {
    "code": "not_found",
    "message": "Sentinel is not enabled or app not found"
  }
}
{
  "code": "too_many_requests",
  "detail": "Challenge service rate limit exceeded",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 429,
  "title": "Too Many Requests",
  "error": {
    "code": "too_many_requests",
    "message": "Challenge service rate limit exceeded"
  }
}
{
  "code": "bad_gateway",
  "detail": "Sentinel upstream error",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 502,
  "title": "Bad Gateway",
  "error": {
    "code": "bad_gateway",
    "message": "Sentinel upstream error"
  }
}

Post Sentinel HIS Challenge

POST
/run/auth/sentinel/challenge

Query Parameters

appId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.pilot.inkeep.com/run/auth/sentinel/challenge?appId=app_a1b2c3d4e5f6"
null
{
  "code": "forbidden",
  "detail": "Origin not allowed",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 403,
  "title": "Forbidden",
  "error": {
    "code": "forbidden",
    "message": "Origin not allowed"
  }
}
{
  "code": "not_found",
  "detail": "Sentinel is not enabled or app not found",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 404,
  "title": "Not Found",
  "error": {
    "code": "not_found",
    "message": "Sentinel is not enabled or app not found"
  }
}
{
  "code": "too_many_requests",
  "detail": "Challenge service rate limit exceeded",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 429,
  "title": "Too Many Requests",
  "error": {
    "code": "too_many_requests",
    "message": "Challenge service rate limit exceeded"
  }
}
{
  "code": "bad_gateway",
  "detail": "Sentinel upstream error",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 502,
  "title": "Bad Gateway",
  "error": {
    "code": "bad_gateway",
    "message": "Sentinel upstream error"
  }
}

Verify Sentinel Payload

POST
/run/auth/sentinel/verify

Query Parameters

appId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.pilot.inkeep.com/run/auth/sentinel/verify?appId=app_a1b2c3d4e5f6"
null
{
  "code": "forbidden",
  "detail": "Origin not allowed",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 403,
  "title": "Forbidden",
  "error": {
    "code": "forbidden",
    "message": "Origin not allowed"
  }
}
{
  "code": "not_found",
  "detail": "Sentinel is not enabled or app not found",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 404,
  "title": "Not Found",
  "error": {
    "code": "not_found",
    "message": "Sentinel is not enabled or app not found"
  }
}
{
  "code": "too_many_requests",
  "detail": "Challenge service rate limit exceeded",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 429,
  "title": "Too Many Requests",
  "error": {
    "code": "too_many_requests",
    "message": "Challenge service rate limit exceeded"
  }
}
{
  "code": "bad_gateway",
  "detail": "Sentinel upstream error",
  "instance": "/conversations/123",
  "requestId": "req_1234567890",
  "status": 502,
  "title": "Bad Gateway",
  "error": {
    "code": "bad_gateway",
    "message": "Sentinel upstream error"
  }
}